@import "../../../../assets/styles/variables";
@import "../../../../assets/styles/mixins";
@import "../section-styles";

@include section-body() {
	height   : 400px;
	overflow : hidden;
	padding  : 5px;
	
	& > div {
		padding : 10px;
		
		& .episode-box {
			height        : 374px;
			border        : 1px solid $tw-dark4;
			border-radius : 8px;
			@include transition-hover();
			
			& .image-frame {
				height   : 327px;
				position : relative;
				
				& img {
					@include transition-hover();
					@include border-top-radius(8px);
				}
				
				& .play-icon {
					position : absolute;
					top      : 128px;
					opacity  : 0;
					@include transition-hover();
					
					& .badge {
						width         : 48px;
						height        : 48px;
						border-radius : 100%;
					}
				}
				
				& .other-info {
					position         : absolute;
					bottom           : 0;
					height           : 36px;
					background-color : rgba(0, 0, 0, 0.5);
					
					& span {
						font-size : 12px;
					}
					
					& i.fa-eye {
						font-size : 22px;
					}
				}
			}
			
			& .info-frame {
				height : 45px;
				
				& .episode-title {
					font-size : 13px;
				}
			}
			
			@include hover-for-section-item();
		}
	}
}
